import random
import math
def logistic_tuple(N):

    logistic = lambda X: 1.0 / (1.0 + math.exp(X)) # Анонимная функция — логистическая
    random_list = [random.uniform(-20, 68) for _ in range(N)] #список из N случайных чисел в диапазоне [-20, 68]
    
    result_tuple = tuple(logistic(x) for x in random_list)
    return result_tuple
